<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.unis.enterpriseManagement.info.modular.emPersonInfo.mapper.EmPersonInfoMapper">
    <select id="selectMyMapsPage" resultType="java.util.Map">
        SELECT
        a.id,
        a.name,
        a.age,
        a.gender,
        b.DICT_LABEL AS "gendeName",
        a.contact
        FROM
        biz_em_person_info a
        LEFT JOIN dev_dict b ON a.gender = b.ID
        <if test="ew.sqlSegment != null and ew.sqlSegment != ''">
            where  ${ew.sqlSegment}
        </if>
        ORDER BY a.create_time
    </select>
</mapper>